.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Polyline How To

5 REPLIES 5
Reply
Message 1 of 6
Anonymous
778 Views, 5 Replies

Polyline How To

I want to draw a complex polyline with both arcs and straight lines. I look at the polyline constructor and see that I can give the vertices for the polyline. but, how can I set whether the vertices connection a line or and arc?

I'm not finding much in the way of documentation on the polyline functions.

Can someone direct me to examples or documentation? Please?
5 REPLIES 5
Message 2 of 6
Anonymous
in reply to: Anonymous

I wait that this you is useful

Dim pline As New Autodesk.AutoCAD.DatabaseServices.Polyline()
pline.AddVertexAt(0, p0, 0, 0, 0)
pline.AddVertexAt(1, p1, 0.414214, 0, 0)
pline.AddVertexAt(2, p2, 0, 0, 0)
pline.AddVertexAt(3, p3, 0.414214, 0, 0)
pline.AddVertexAt(4, p4, 0, 0, 0)
pline.AddVertexAt(5, p5, 0.414214, 0, 0)
pline.AddVertexAt(6, p6, 0, 0, 0)
pline.AddVertexAt(7, p7, 0.414214, 0, 0)
pline.Closed = True

tp


escreveu na mensagem news:5391515@discussion.autodesk.com...
I want to draw a complex polyline with both arcs and straight lines. I
look
at the polyline constructor and see that I can give the vertices for the
polyline. but, how can I set whether the vertices connection a line or
and
arc?

I'm not finding much in the way of documentation on the polyline
functions.

Can someone direct me to examples or documentation? Please?



I'm protected by SpamBrave
http://www.spambrave.com/
Message 3 of 6
Anonymous
in reply to: Anonymous

Thanks, that did help. I didn't quite understand that bulge meant arc segment.

It sounds more like a line width or something.

Anyway, thanks a lot. I've got a much better understanding of polylines now that I understand the bulge property.


I'm still curious about how you arrived at the bulge value of 0.414214. It works, for what I want but I'd be eager to learn more about calculating bulge values for different effects.
Message 4 of 6
Anonymous
in reply to: Anonymous

Perhaps annexed images can help.
tp





escreveu na mensagem news:5394622@discussion.autodesk.com...
Thanks, that did help. I didn't quite understand that bulge meant arc
segment.

It sounds more like a line width or something.

Anyway, thanks a lot. I've got a much better understanding of polylines
now
that I understand the bulge property.


I'm still curious about how you arrived at the bulge value of 0.414214.
It
works, for what I want but I'd be eager to learn more about calculating
bulge values for different effects.



I'm protected by SpamBrave
http://www.spambrave.com/
Message 5 of 6
Anonymous
in reply to: Anonymous

Annexed Bulge formula
tp



escreveu na mensagem news:5394622@discussion.autodesk.com...
Thanks, that did help. I didn't quite understand that bulge meant arc
segment.

It sounds more like a line width or something.

Anyway, thanks a lot. I've got a much better understanding of polylines
now
that I understand the bulge property.


I'm still curious about how you arrived at the bulge value of 0.414214.
It
works, for what I want but I'd be eager to learn more about calculating
bulge values for different effects.



I'm protected by SpamBrave
http://www.spambrave.com/
Message 6 of 6
cgay
in reply to: Anonymous

See a good description here:

http://www.theswamp.org/index.php?PHPSESSID=t0df37l5turcu6p4u8iflnss53&page=18

C

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost